/*
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
*/
import madkit.utils.graphics.SimpleGraphicSell;

/*
 * Tester.java - Created on Nov 15, 2003
 * 
 * Copyright (C) 2003 Sebastian Rodriguez
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.

 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Last Update: $Date:$
 */

/**
 * @author Sebastian Rodriguez - sebastian.rodriguez@utbm.fr
 */
public class Main extends SimpleGraphicSell {

    // requis pour la sérialisation (!?!), 3* -> envirt
	private static final long serialVersionUID = 35L;
/*
	private JButton btn;
	
	public Main() {
		super("taggers");
		btn=new JButton("Start");
		btn.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				_localKernel.launchAgent(new Launcher(), "robots", _localKernel, true);
				btn.setEnabled(false);
			}
		});
		addAgentButton(btn);
	}

	public static  void main(String args[]){
		new Main().setVisible(true);
	}
*/

	// Simpler:  no button, starts directly
	public Main() { super("Robots Floaking"); }
	
	private void start() 
	{ _localKernel.launchAgent(new Launcher(), "robots", _localKernel, true); }

	public static  void main(String args[]){
		Main application = new Main();
		final java.awt.Dimension screenSize 
			= java.awt.Toolkit.getDefaultToolkit().getScreenSize();
		application.setMinimumSize( new java.awt.Dimension(screenSize.width * 4 / 5,
														   screenSize.height) );
		application.setVisible(true);
		application.start();
	}
}
